Subject: Re: linux-next: pci-current tree build failure

From: Jesse Barnes <[email-masked]>
Date: Mon, 28 Jul 2008 19:15:23 -0700

On Monday, July 28, 2008 5:52 pm Stephen Rothwell wrote:
> Hi Jesse,
>
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>
> arch/powerpc/kernel/iommu.c:54: error: static declaration of
> 'iommu_num_pages' follows non-static declaration
> include/linux/iommu-helper.h:11: error: previous declaration of
> 'iommu_num_pages' was here
>
> Caused by commit 3bc9f79ee1ddc913be0a6d3592036683ef8a3148 ("iommu: add
> iommu_num_pages helper function") which introduced a global version of a
> function that powerpc has a different version of.  I am not sure that the
> two do the same thing - in fact they don't since powerpc can have a 64k
> page size and still need to use a 4k iommu pages.  I applied the
> patch below (which I personally hate :-))

Hopefully my ppc machine will arrive soon and I can build & test boot things 
so this won't happen in the future.

Joerg, what do you think here?

Thanks,
Jesse